package net.pingex.dcf.modularity;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotation containing some details about annotated {@code IPlugin}.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Plugin
{
	/**
	 * Unique plugin id.
	 */
	String id();

	/**
	 * Version of the plugin.
	 */
	String version();

	/**
	 * Plugin short description
	 */
	String description() default "No description provided.";
}
